/**
* Simple Content Slider by M.Majunke
* JavaScript File
*
* @version 2.0.0
* @package PLG_CONTENT_SLIDER
* @copyright Copyright (C) 2022 Majunke Michael. All rights reserved.
* @license GNU/GPL
*/

// close All Sliders in Array but not excludeSliderObj
function closeSlidersAllInWithoutX( inArr, excludeSliderId ) {
	if ( inArr == null || excludeSliderId == null ) {
		return;
	}
	for ( var i = 0; i < inArr.length; i++) {
		if ( inArr[i][0] !== excludeSliderId ) {
			closeSlider( inArr[i][1] , inArr[i][0] );
		}
	}
}

// function for closeDep
function closeSlider(sliderObj, sliderId) {
	if (typeof sliderObj == "undefined" || sliderObj == null) {
		return;
	}
	// Anm. Active wird aus dem Style herausgeloescht um den closed style zu erhalten
	flag = sliderObj.is(":visible");
	if (flag) {
		sliderObj.slideUp();
		var tcl = document.getElementById('toggleSlide' + sliderId).className.replace('Active', '');
		document.getElementById('toggleSlide' + sliderId).className = tcl;
		if (document.getElementById('slideDesc' + sliderId) != null) {
			var dcl = document.getElementById('slideDesc' + sliderId).className.replace('Active', '');
			document.getElementById('slideDesc' + sliderId).className = dcl;
		}
		if (document.getElementById('slide' + sliderId) != null) {
			var scl = document.getElementById('slide' + sliderId).className.replace('Active', '');
			document.getElementById('slide' + sliderId).className = scl;
		}
		if (document.getElementById('toggleSlideEnd' + sliderId) != null) {
			var ccl = document.getElementById('toggleSlideEnd' + sliderId).className.replace('Active', '');
			document.getElementById('toggleSlideEnd' + sliderId).className = ccl;
		}
	}
}